Foxit PDF SDK

Instance Methods | Properties | List of all members
FSPagingSealConfig Class Reference

Inherits NSObject.

## Instance Methods
(id) | - initWithPaging_seal_position:offset:first_page_percent:is_on_perforation:paging_seal_style:is_display_multiple_seal:page_count_for_each_seal:
| Constructor, with parameter. More...
(void) | - set:offset:first_page_percent:is_on_perforation:paging_seal_style:is_display_multiple_seal:page_count_for_each_seal:
| Set value. More...

## Properties
float | first_page_percent
| The percent of the first paging seal. The rest percent will be divided equally by the other paging seals. This parameter should bigger than 0.0, less than 1.0.
BOOL | is_display_multiple_seal
| Decide whether to display multiple paging seal appearance for current paging seal signature. YES means to display multiple paging seal appearance, each count pages use one paging seal appearance, count is set by page_count_for_each_seal. While NO means not. This parameter has no effect when the parameter is_on_perforation is YES.
BOOL | is_on_perforation
| Decide whether to chop a seal that covering the left or right margin of each two pages. YES means the paging seal signatures will be added to pages in pairs, and the parameter paging_seal_position and the parameter first_page_percent will have no effect. NO means not.
float | offset
| The offset of paging seal signature. More...
int | page_count_for_each_seal
| The page count of each seal. This value only useful when the parameter is_display_multiple_seal is YES. This value should be larger than 1. If the page count of the last seal is 1, it will be merged with the previous seal to form one seal.
FSPagingSealConfigPagingSealPosition | paging_seal_position
| The position of paging seal. Please refer to values starting from FSPagingSealConfigPagingSealPositionLeft and this would be one of these values.
FSPagingSealConfigPagingSealStyle | paging_seal_style
| The style of paging seal signature. Please refer to values starting from FSPagingSealConfigPagingSealStyleMultipleSignatures and this would be one of these values. More...

## Detailed Description

This class represents paging seal configuration. This configuration can be set by function FSPagingSealSignature::setPagingSealConfig:.

## Method Documentation

## ◆ initWithPaging_seal_position:offset:first_page_percent:is_on_perforation:paging_seal_style:is_display_multiple_seal:page_count_for_each_seal:()

- (id) initWithPaging_seal_position: |  | (FSPagingSealConfigPagingSealPosition) | paging_seal_position
offset: |  | (float) | offset
first_page_percent: |  | (float) | first_page_percent
is_on_perforation: |  | (BOOL) | is_on_perforation
paging_seal_style: |  | (FSPagingSealConfigPagingSealStyle) | paging_seal_style
is_display_multiple_seal: |  | (BOOL) | is_display_multiple_seal
page_count_for_each_seal: |  | (int) | page_count_for_each_seal

Constructor, with parameter.

Parameters

  [in] | paging_seal_position | The position of paging seal. Please refer to values starting from FSPagingSealConfigPagingSealPositionLeft and this would be one of these values.
  [in] | offset | The offset of paging seal. This value should not be a negative number.
  [in] | first_page_percent | The percent of the first paging seal. This parameter should larger than 0.0, less than 1.0.
  [in] | is_on_perforation | Decide whether to chop a seal that covering the margin of each two pages.
  [in] | paging_seal_style | The paging seal signature style. Please refer to values starting from FSPagingSealConfigPagingSealStyleMultipleSignatures and this would be one of these values.
  [in] | is_display_multiple_seal | Decide whether to display multiple paging seal appearance for current paging seal signature, default value: NO.
  [in] | page_count_for_each_seal | The page count each seal. This value should be larger than 1, default value: 30.

## ◆ set:offset:first_page_percent:is_on_perforation:paging_seal_style:is_display_multiple_seal:page_count_for_each_seal:()

- (void) set: |  | (FSPagingSealConfigPagingSealPosition) | paging_seal_position
offset: |  | (float) | offset
first_page_percent: |  | (float) | first_page_percent
is_on_perforation: |  | (BOOL) | is_on_perforation
paging_seal_style: |  | (FSPagingSealConfigPagingSealStyle) | paging_seal_style
is_display_multiple_seal: |  | (BOOL) | is_display_multiple_seal
page_count_for_each_seal: |  | (int) | page_count_for_each_seal

Set value.

Parameters

  [in] | paging_seal_position | The position of paging seal. Please refer to values starting from FSPagingSealConfigPagingSealPositionLeft and this would be one of these values.
  [in] | offset | The offset of paging seal. This value should not be a negative number.
  [in] | first_page_percent | The percent of the first paging seal. This parameter should larger than 0.0, less than 1.0.
  [in] | is_on_perforation | Decide whether to chop a seal that covering the margin of each two pages.
  [in] | paging_seal_style | The paging seal signature style. Please refer to values starting from FSPagingSealConfigPagingSealStyleMultipleSignatures and this would be one of these values.
  [in] | is_display_multiple_seal | Decide whether to display multiple paging seal appearance for current paging seal signature, default value: NO.
  [in] | page_count_for_each_seal | The page count each seal. This value should be larger than 1, default value: 30.

Returns
  None.

## Property Documentation

## ◆ offset

- (float) offset
| read write nonatomic assign

The offset of paging seal signature.

This value should not be a negative number. The maximum value of offset is the value of page width or page height minus the width or height of rectangle of paging seal signature. If offset bigger than the maximum value, the maximum will be used.

- For top paging seal and bottom paging seal, this value will be the horizontal offset of the left of signature rectangle.
- For right paging seal,left paging seal, this value will be the vertical offset of the bottom of signature rectangle.
- For the parameter is_on_perforation is YES, this value will be the vertical offset of the bottom of signature rectangle.

## ◆ paging_seal_style

- (FSPagingSealConfigPagingSealStyle) paging_seal_style
| read write nonatomic assign

The style of paging seal signature. Please refer to values starting from FSPagingSealConfigPagingSealStyleMultipleSignatures and this would be one of these values.

Different styles cannot be converted to each other. Default value: FSPagingSealConfigPagingSealStyleMultipleSignatures.